import request from '@/utils/request'

export function getCreditAnalysis(query) {
  return request({
    url: '/invest/analysis/creditAnalysis',
    method: 'get',
    params: query
  })
}

export function getFuturesStocksAnalysis(query) {
  return request({
    url: '/invest/analysis/futuresStocksAnalysis',
    method: 'get',
    params: query
  })
}

export function getInstallmentHistoryAnalysis(query) {
  return request({
    url: '/invest/analysis/installmentHistoryAnalysis',
    method: 'get',
    params: query
  })
}

export function getCreditRecordsAnalysis(query) {
  return request({
    url: '/invest/analysis/creditRecordAnalysis',
    method: 'get',
    params: query
  })
}

export function getInstallmentSettledAnalysis(query) {
  return request({
    url: '/invest/analysis/installmentSettledAnalysis',
    method: 'get',
    params: query
  })
}

export function getAccountsAnalysis(query) {
  return request({
    url: '/invest/analysis/accountsAnalysis',
    method: 'get',
    params: query
  })
}

export function getPosAnalysis(query) {
  return request({
    url: '/invest/analysis/posAnalysis',
    method: 'get',
    params: query
  })
}

export function getAcccountsDealAnalysis(query) {
  return request({
    url: '/invest/analysis/accountsDealAnalysis',
    method: 'get',
    params: query
  })
}

export function getAcccountsOutInAnalysis(query) {
  return request({
    url: '/invest/analysis/accountsOutInAnalysis',
    method: 'get',
    params: query
  })
}
